export default {
	getItme(key) {
		const localStringData = localStorage.getItem(key);
		const localParseData = !!localStringData
			? JSON.parse(localStringData)
			: null;

		if (!localParseData) {
			return { value: null, sucess: false, message: '缓存数据不存在' };
		}
		if (!localParseData.expireTime) {
			return { value: localParseData.value, sucess: true, message: '' };
		}
		if (!!localParseData.expireTime && localParseData.expireTime > Date.now()) {
			return { value: localParseData.value, sucess: true, message: '' };
		}
		return { value: null, sucess: false, message: '缓存数据已过期' };
	},

	setItem(key: string, value: string, expireTime?: number) {
		const localValue = {
			value: value,
			expireTime,
		};
		localStorage.setItem(key, JSON.stringify(localValue));
	},
};
